#11  
Old 21st September 2005, 21:11
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,743 Times in 2,577 Posts
Default

Quote:
Originally Posted by dranieri
Sorry getting very frustrating following what we are supposed to and only comming up against walls. My apologies.
No problem. Can you post your /etc/init.d/saslauthd here?

BTW, you can use WinSCP ( http://winscp.net/eng/index.php ) to copy files to and from your Linux box, so you can copy /etc/init.d/saslauthd to your Windows desktop, open it in a text editor and post the contents here.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
Sponsored Links
  #12  
Old 21st September 2005, 21:53
dranieri dranieri is offline
Member
 
Join Date: Sep 2005
Location: Pennsylvania
Posts: 51
Thanks: 0
Thanked 0 Times in 0 Posts
Send a message via ICQ to dranieri
Default Re:


#!/bin/sh -e
NAME=saslauthd

DAEMON="/usr/sbin/${NAME}"

DESC="SASL Authentication Daemon"

DEFAULTS=/etc/default/saslauthd

PWDIR="/var/spool/postfix/var/run/${NAME}"

PIDFILE="${PWDIR}/saslauthd.pid"

dir="root sasl 755 ${PWDIR}

createdir() {

# $1 = user

# $2 = group

# $3 = permissions (octal)

# $4 = path to directory

[ -d "$4" ] || mkdir -p "$4"

chown -c -h "$1:$2" "$4"

file "/etc/init.d/saslauthd", 88 lines

Quote:
Originally Posted by falko
No problem. Can you post your /etc/init.d/saslauthd here?
When typing /etc/init.d/saslauthd got this

response /etc/init.d/saslauthd: line 54: syntax error near unexpected token `('

BTW, you can use WinSCP ( http://winscp.net/eng/index.php ) to copy files to and from your Linux box, so you can copy /etc/init.d/saslauthd to your Windows desktop, open it in a text editor and post the contents here.
__________________
Thank You,
David
Reply With Quote
  #13  
Old 21st September 2005, 21:55
dranieri dranieri is offline
Member
 
Join Date: Sep 2005
Location: Pennsylvania
Posts: 51
Thanks: 0
Thanked 0 Times in 0 Posts
Send a message via ICQ to dranieri
Default Re:

Am comfortable using putty to copy and paste the information you need. Thanks for the information will keep on file.
Quote:
Originally Posted by falko
No problem. Can you post your /etc/init.d/saslauthd here?

BTW, you can use WinSCP ( http://winscp.net/eng/index.php ) to copy files to and from your Linux box, so you can copy /etc/init.d/saslauthd to your Windows desktop, open it in a text editor and post the contents here.
__________________
Thank You,
David
Reply With Quote
  #14  
Old 22nd September 2005, 01:49
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,743 Times in 2,577 Posts
Default

Quote:
Originally Posted by dranieri

#!/bin/sh -e
NAME=saslauthd

DAEMON="/usr/sbin/${NAME}"

DESC="SASL Authentication Daemon"

DEFAULTS=/etc/default/saslauthd

PWDIR="/var/spool/postfix/var/run/${NAME}"

PIDFILE="${PWDIR}/saslauthd.pid"

dir="root sasl 755 ${PWDIR}

createdir() {

# $1 = user

# $2 = group

# $3 = permissions (octal)

# $4 = path to directory

[ -d "$4" ] || mkdir -p "$4"

chown -c -h "$1:$2" "$4"

file "/etc/init.d/saslauthd", 88 lines

Can you post the whole file here?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #15  
Old 22nd September 2005, 02:59
dianer dianer is offline
Member
 
Join Date: Sep 2005
Location: Dover, PA, USA
Posts: 33
Thanks: 0
Thanked 0 Times in 0 Posts
Default Postfix error

Quote:
Originally Posted by falko
Can you post the whole file here?
This is what we get:


#!/bin/sh -e

NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR="/var/spool/postfix/var/run/${NAME}"
PIDFILE="${PWDIR}/saslauthd.pid"
dir="root sasl 755 ${PWDIR}

createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
[ -d "$4" ] || mkdir -p "$4"
chown -c -h "$1:$2" "$4"
chmod -c "$3" "$4"
}

test -f "${DAEMON}" || exit 0

# Source defaults file; edit that file to configure this script.
:
Reply With Quote
  #16  
Old 22nd September 2005, 09:06
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,743 Times in 2,577 Posts
Default

That's not the whole file. If you use the sreen up and screen down keys you'll see that there's more in that file. Try to use the WinSCP solution that I proposed to you.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #17  
Old 22nd September 2005, 15:07
dianer dianer is offline
Member
 
Join Date: Sep 2005
Location: Dover, PA, USA
Posts: 33
Thanks: 0
Thanked 0 Times in 0 Posts
Default Postfix

I will do that...I've got to leave for work, I will do that when I get home....thanks
Reply With Quote
  #18  
Old 22nd September 2005, 16:17
dianer dianer is offline
Member
 
Join Date: Sep 2005
Location: Dover, PA, USA
Posts: 33
Thanks: 0
Thanked 0 Times in 0 Posts
Default Postfix error

Quote:
Originally Posted by dianer
This is what we get:


#!/bin/sh -e

NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR="/var/spool/postfix/var/run/${NAME}"
PIDFILE="${PWDIR}/saslauthd.pid"
dir="root sasl 755 ${PWDIR}

createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
[ -d "$4" ] || mkdir -p "$4"
chown -c -h "$1:$2" "$4"
chmod -c "$3" "$4"
}

test -f "${DAEMON}" || exit 0

# Source defaults file; edit that file to configure this script.
:
#!/bin/sh -e

NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR="/var/spool/postfix/var/run/${NAME}"
PIDFILE="${PWDIR}/saslauthd.pid"
dir="root sasl 755 ${PWDIR}

createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
[ -d "$4" ] || mkdir -p "$4"
chown -c -h "$1:$2" "$4"
chmod -c "$3" "$4"
}

test -f "${DAEMON}" || exit 0

# Source defaults file; edit that file to configure this script.
if [ -e "${DEFAULTS}" ]; then
. "${DEFAULTS}"
fi

# If we're not to start the daemon, simply exit
if [ "${START}" != "yes" ]; then
exit 0
fi

# If we have no mechanisms defined
if [ "x${MECHANISMS}" = "x" ]; then
echo "You need to configure ${DEFAULTS} with mechanisms to be used"
exit 0
fi

# Add our mechanimsms with the necessary flag
PARAMS="${PARAMS} -a ${MECHANISMS}"

START="--start --quiet --pidfile ${PIDFILE} --startas ${DAEMON} --name ${NAME} -- ${PARAMS}"

# Consider our options
case "${1}" in
start)
echo -n "Starting ${DESC}: "
#dir=`dpkg-statoverride --list $PWDIR`
test -z "$dir" || createdir $dir
if start-stop-daemon ${START} >/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(failed)."
exit 1
else

echo "${DAEMON} already running."
exit 0
fi
fi
;;
stop)
echo -n "Stopping ${DESC}: "
if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
--startas ${DAEMON} --retry 10 --name ${NAME} \
>/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(not running)."
exit 0
else
echo "(failed)."
exit 1
fi
fi
;;
restart|force-reload)
$0 stop
exec $0 start
;;
*)
Reply With Quote
  #19  
Old 22nd September 2005, 18:26
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,743 Times in 2,577 Posts
Default

/etc/init.d/saslauthd contains errors. Please delete /etc/init.d/saslauthd:
Code:
rm -f /etc/init.d/saslauthd
Then create a new one that has the exactly same contents as the one in http://www.howtoforge.com/perfect_setup_debian_sarge. I also post it here:

Code:
#!/bin/sh -e

NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR="/var/spool/postfix/var/run/${NAME}"
PIDFILE="${PWDIR}/saslauthd.pid"
dir="root sasl 755 ${PWDIR}"

createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
        [ -d "$4" ] || mkdir -p "$4"
        chown -c -h "$1:$2" "$4"
        chmod -c "$3" "$4"
}

test -f "${DAEMON}" || exit 0

# Source defaults file; edit that file to configure this script.
if [ -e "${DEFAULTS}" ]; then
    . "${DEFAULTS}"
fi

# If we're not to start the daemon, simply exit
if [ "${START}" != "yes" ]; then
    exit 0
fi

# If we have no mechanisms defined
if [ "x${MECHANISMS}" = "x" ]; then
    echo "You need to configure ${DEFAULTS} with mechanisms to be used"
    exit 0
fi

# Add our mechanimsms with the necessary flag
PARAMS="${PARAMS} -a ${MECHANISMS}"

START="--start --quiet --pidfile ${PIDFILE} --startas ${DAEMON} --name ${NAME} -- ${PARAMS}"

# Consider our options
case "${1}" in
  start)
        echo -n "Starting ${DESC}: "
        #dir=`dpkg-statoverride --list $PWDIR`
        test -z "$dir" || createdir $dir
        if start-stop-daemon ${START} >/dev/null 2>&1 ; then
                echo "${NAME}."
        else
                if start-stop-daemon --test ${START} >/dev/null 2>&1; then
                        echo "(failed)."
                        exit 1
                else
                        echo "${DAEMON} already running."
                        exit 0
                fi
        fi
        ;;
  stop)
        echo -n "Stopping ${DESC}: "
        if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
                --startas ${DAEMON} --retry 10 --name ${NAME} \
                >/dev/null 2>&1 ; then
                        echo "${NAME}."
        else
                if start-stop-daemon --test ${START} >/dev/null 2>&1; then
                        echo "(not running)."
                        exit 0
                else
                        echo "(failed)."
                        exit 1
                fi
        fi
        ;;
  restart|force-reload)
          $0 stop
        exec $0 start
        ;;
  *)
        echo "Usage: /etc/init.d/${NAME} {start|stop|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0
Then run
Code:
chmod 755 /etc/init.d/saslauthd
/etc/init.d/saslauthd start
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #20  
Old 29th November 2005, 12:32
Bouncy Bouncy is offline
Junior Member
 
Join Date: Nov 2005
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
 
Default

Hi, I am having the same probelm, I have tryed the config that you have pasted on the forums and still have SASL Authentication Deamon: (failed).

If there are any reasons you could think of that would be great.
just to make it easyer here is my /etc/init.d/saslauthd
Code:
#!/bin/sh -e

NAME=saslauthd
DAEMON="/usr/sbin/${NAME}"
DESC="SASL Authentication Daemon"
DEFAULTS=/etc/default/saslauthd
PWDIR="/var/spool/postfix/var/run/${NAME}"
PIDFILE="${PWDIR}/saslauthd.pid"
dir="root sasl 755 ${PWDIR}"

createdir() {
# $1 = user
# $2 = group
# $3 = permissions (octal)
# $4 = path to directory
[ -d "$4" ] || mkdir -p "$4"
chown -c -h "$1:$2" "$4"
chmod -c "$3" "$4"
}

test -f "${DAEMON}" || exit 0

# Source defaults file; edit that file to configure this script.
if [ -e "${DEFAULTS}" ]; then
. "${DEFAULTS}"
fi

# If we're not to start the daemon, simply exit
if [ "${START}" != "yes" ]; then
exit 0
fi

# If we have no mechanisms defined
if [ "x${MECHANISMS}" = "x" ]; then
echo "You need to configure ${DEFAULTS} with mechanisms to be used"
exit 0
fi

# Add our mechanimsms with the necessary flag
PARAMS="${PARAMS} -a ${MECHANISMS}"

START="--start --quiet --pidfile ${PIDFILE} --startas ${DAEMON} --name ${NAME} -- ${PARAMS}"

# Consider our options
case "${1}" in
start)
echo -n "Starting ${DESC}: "
#dir=`dpkg-statoverride --list $PWDIR`
test -z "$dir" || createdir $dir
if start-stop-daemon ${START} >/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(failed)."
exit 1
else
echo "${DAEMON} already running."
exit 0
fi
fi
;;
stop)
echo -n "Stopping ${DESC}: "
if start-stop-daemon --stop --quiet --pidfile "${PIDFILE}" \
--startas ${DAEMON} --retry 10 --name ${NAME} \
>/dev/null 2>&1 ; then
echo "${NAME}."
else
if start-stop-daemon --test ${START} >/dev/null 2>&1; then
echo "(not running)."
exit 0
else
echo "(failed)."
exit 1
fi
fi
;;
restart|force-reload)
$0 stop
exec $0 start
;;
*)
echo "Usage: /etc/init.d/${NAME} {start|stop|restart|force-reload}" >&2
exit 1
;;
esac

exit 0
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
(2.0.7) postfix error "greeted me with my own hostname" jnoble Installation/Configuration 6 1st May 2009 23:30
Could not make OpenSSL yontengyatso Installation/Configuration 3 3rd November 2005 10:50
ERROR While upgrading to 2.0.8 adamluz Installation/Configuration 2 29th August 2005 21:30
Error Postfix misterm Server Operation 6 28th August 2005 10:18
Postfix ERROR! - Need fix for this! hagel General 12 22nd August 2005 16:38


All times are GMT +2. The time now is 10:24.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.